# org.springframework.messaging.handler.annotation.support

## Interfaces

- MessageHandlerMethodFactory

## Classes

- AbstractNamedValueMethodArgumentResolver
- AbstractNamedValueMethodArgumentResolver.NamedValueInfo
- AnnotationExceptionHandlerMethodResolver
- DefaultMessageHandlerMethodFactory
- DestinationVariableMethodArgumentResolver
- HeaderMethodArgumentResolver
- HeadersMethodArgumentResolver
- MessageMethodArgumentResolver
- PayloadArgumentResolver
- PayloadMethodArgumentResolver

## Exceptions

- MethodArgumentNotValidException
- MethodArgumentTypeMismatchException